<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Direct access forbidden.' ); }
/**
 * @var string $before_widget
 * @var string $after_widget
 */
echo wp_kses_post( $before_widget );

if ( !empty($params['title']) )  {

	echo wp_kses_post( $before_title ) . esc_html( apply_filters( 'widget_title', $params['title'] ) ) . wp_kses_post( $after_title );
}

if ( empty($params['num']) ) $params['num'] = 3;

$query_args = array(

	'post_type' => 'post',
	'post_status' => 'publish',
	'posts_per_page' => (int)($params['num']),
	'meta_query' => array(array('key' => '_thumbnail_id')) 
);

if ( !empty($params['cat']) ) $query_args['category__in'] = $params['cat'];

$wp_query = new WP_Query( $query_args );

$params['style'] = 'image-top';

echo '<div class="items">';

if ( $wp_query->have_posts() ) :
	while ( $wp_query->have_posts() ) : $wp_query->the_post();

		echo '<div class="post">';

			if ( empty( $params['style'] ) OR $params['style'] == 'image-top' ) {

				if ( !empty( $params['photo'] ) AND has_post_thumbnail() ) {

					echo '<a href="'.get_the_permalink().'" class="lte-photo">';
		   			the_post_thumbnail('atura-blog-300');
		   			echo '</a>';
		   		}

		   		echo '<div class="description">';

					echo '<a href="'.get_the_permalink().'">';
						echo '<h6>'.get_the_title().'</h6>';
					echo '</a>';
		   		
			   		if ( function_exists('atura_the_post_info') ) {

			   			atura_the_post_info();
			   		}

				echo '</div>';
			}
				else {

				if ( !empty( $params['photo'] ) AND has_post_thumbnail() ) {

					echo '<a href="'.get_the_permalink().'" class="lte-photo lte-photo-left">';
		   			the_post_thumbnail('atura-tiny-square');
		   			echo '</a>';
		   		}

		   		echo '<div class="descr-right">';

					if ( function_exists('atura_get_the_cats_archive') ) {

						atura_get_the_cats_archive();
					}

					echo '<a href="'.get_the_permalink().'">';
						echo '<h6>'.get_the_title().'</h6>';
					echo '</a>';

					if ( function_exists('atura_the_blog_date') ) {

						atura_the_blog_date();
					}

			    echo '</div>';
			}
		echo '</div>';

	endwhile;
endif;

echo '</div>';

if ( !empty( $params['readmore_text'] ) ) {

	echo '<p class="btn-wrapper"><a href="'.esc_url($params['readmore_link']).'" class="btn btn-black-bordered">'.esc_html($params['readmore_text']).'</a></p>';

}	

echo wp_kses_post( $after_widget );

wp_reset_postdata();

