<?php if ( ! defined( 'FW' ) ) { die( 'Forbidden' ); }

$options = array(
	'colors' => array(
		'title'   => esc_html__( 'Colors Schemes', 'atura' ),
		'type'    => 'tab',
		'options' => array(			
			'schemes-box' => array(
				'title'   => esc_html__( 'Additional Color Schemes Settings', 'atura' ),
				'type'    => 'box',
				'options' => array(
					'advice'    => array(
						'label'	=>	'',
						'html' => esc_html__( 'You also need to change the global settings in Appearance -> Customize -> Atura settings', 'atura' ),
						'type'  => 'html',
					),	
					'items' => array(
						'label' => esc_html__( 'Theme Color Schemes', 'atura' ),
						'type' => 'addable-box',
						'value' => array(),
						'desc' => esc_html__( 'Can be selected in page settings', 'atura' ),
						'box-options' => array(
							'slug' => array(
								'label' => esc_html__( 'Scheme ID', 'atura' ),
								'type' => 'text',
								'desc' => esc_html__( 'Required Field', 'atura' ),
								'value' => '',
							),							
							'name' => array(
								'label' => esc_html__( 'Scheme Name', 'atura' ),
								'desc' => esc_html__( 'Required Field', 'atura' ),
								'type' => 'text',
								'value' => '',
							),
							'logo'    => array(
								'label' => esc_html__( 'Logo Black', 'atura' ),
								'type'  => 'upload',
							),
							'logo_2x'    => array(
								'label' => esc_html__( 'Logo Black 2x', 'atura' ),
								'type'  => 'upload',
							),
							'logo_white'    => array(
								'label' => esc_html__( 'Logo White', 'atura' ),
								'type'  => 'upload',
							),		
							'logo_white_2x'    => array(
								'label' => esc_html__( 'Logo White 2x', 'atura' ),
								'type'  => 'upload',
							),		
							'main-color'  => array(
								'label' => esc_html__( 'Main Color', 'atura' ),
								'type'  => 'color-picker',
							),
							'second-color' => array(
								'label' => esc_html__( 'Second Color', 'atura' ),
								'type'  => 'color-picker',
							),
							'gray-color' => array(
								'label' => esc_html__( 'Gray Color', 'atura' ),
								'type'  => 'color-picker',
							),								
							'black-color' => array(
								'label' => esc_html__( 'Black Color', 'atura' ),
								'type'  => 'color-picker',
							),	
							'white-color' => array(
								'label' => esc_html__( 'White Color', 'atura' ),
								'type'  => 'color-picker',
							),
						),
						'template' => '{{- name }}',
					),
				),
			),
		),
	),	

);


