<?php if ( ! defined( 'FW' ) ) { die( 'Forbidden' ); }

$options = array(

	'layout' => array(
		'title'   => esc_html__( 'Post Types', 'atura' ),
		'type'    => 'tab',
		'options' => array(

			'layout-box-1' => array(
				'title'   => esc_html__( 'Blog Posts', 'atura' ),
				'type'    => 'tab',
				'options' => array(

					'blog_layout'    => array(
						'label' => esc_html__( 'Blog Layout', 'atura' ),
						'desc'   => esc_html__( 'Default blog page layout.', 'atura' ),
						'type'    => 'select',
						'choices' => array(
							'classic'  => esc_html__( 'One Column', 'atura' ),
							'two-cols' => esc_html__( 'Two Columns', 'atura' ),
							'three-cols' => esc_html__( 'Three Columns', 'atura' ),
						),
						'value' => 'classic',
					),				
					'blog_list_sidebar'    => array(
						'label' => esc_html__( 'Blog List Sidebar', 'atura' ),
						'type'    => 'select',
						'choices' => array(
							'hidden'  => esc_html__( 'Hidden', 'atura' ),
							'left' => esc_html__( 'Left', 'atura' ),
							'right' => esc_html__( 'Right', 'atura' ),
						),
						'value' => 'right',
					),				
					'blog_post_sidebar'    => array(
						'label' => esc_html__( 'Blog Post Sidebar', 'atura' ),
						'type'    => 'select',
						'choices' => array(
							'hidden'  => esc_html__( 'Hidden', 'atura' ),
							'left' => esc_html__( 'Left', 'atura' ),
							'right' => esc_html__( 'Right', 'atura' ),
						),
						'value' => 'right',
					),																				
					'excerpt_auto'    => array(
						'label' => esc_html__( 'Excerpt Classic Blog Size', 'atura' ),
						'desc'  => esc_html__( 'Automaticly cuts content for blogs', 'atura' ),
						'value'	=> 50,
						'type'  => 'short-text',
					),
					'excerpt_masonry_auto'    => array(
						'label' => esc_html__( 'Excerpt Masonry Blog Size', 'atura' ),
						'desc'  => esc_html__( 'Automaticly cuts content for blogs', 'atura' ),
						'value'	=> 30,
						'type'  => 'short-text',
					),		
					'blog_gallery_autoplay'    => array(
						'label' => esc_html__( 'Gallery post type autoplay, ms', 'atura' ),
						'desc'  => esc_html__( 'Set 0 to disable autoplay', 'atura' ),
						'type'  => 'text',
						'value' => '4000',
					),						
				)
			),
			'layout-box-2' => array(
				'title'   => esc_html__( 'Services', 'atura' ),
				'type'    => 'tab',
				'options' => array(	
					'services_header'    => array(
						'label' => esc_html__( 'Services Header', 'atura' ),
						'desc'  => esc_html__( 'Can be used in breadcrumbs and etc.', 'atura' ),
						'type'  => 'text',
						'value' => esc_html__( 'Services', 'atura' ),
					),						
					'services_slug'    => array(
						'label' => esc_html__( 'Services slug', 'atura' ),
						'desc'  => esc_html__( 'After slug change you need to go to the Settings -> Permalinks and click Save Changes.', 'atura' ),
						'type'  => 'text',
						'value' => 'services',
					),									
					'services_list_sidebar'    => array(
						'label' => esc_html__( 'Services List Sidebar', 'atura' ),
						'type'    => 'select',
						'choices' => array(
							'hidden'  => esc_html__( 'Hidden', 'atura' ),
							'left' => esc_html__( 'Left', 'atura' ),
							'right' => esc_html__( 'Right', 'atura' ),
						),
						'value' => 'hidden',
					),				
					'services_post_sidebar'    => array(
						'label' => esc_html__( 'Services Post Sidebar', 'atura' ),
						'type'    => 'select',
						'choices' => array(
							'hidden'  => esc_html__( 'Hidden', 'atura' ),
							'left' => esc_html__( 'Left', 'atura' ),
							'right' => esc_html__( 'Right', 'atura' ),
						),
						'value' => 'hidden',
					),					
				)
			),
			'layout-box-3' => array(
				'title'   => esc_html__( 'Testomonials', 'atura' ),
				'type'    => 'tab',
				'options' => array(	
					'services'    => array(
						'label' => esc_html__( 'Testimonials Header', 'atura' ),
						'desc'  => esc_html__( 'Can be used in breadcrumbs and etc.', 'atura' ),
						'type'  => 'text',
						'value' => esc_html__( 'Testimonials', 'atura' ),
					),						
					'testimonials_slug'    => array(
						'label' => esc_html__( 'Testimonials slug', 'atura' ),
						'desc'  => esc_html__( 'After slug change you need to go to the Settings -> Permalinks and click Save Changes.', 'atura' ),
						'type'  => 'text',
						'value' => 'testimonials',
					),									
				)
			),			
			'layout-box-4' => array(
				'title'   => esc_html__( 'Gallery', 'atura' ),
				'type'    => 'tab',
				'options' => array(													
					'gallery_layout'    => array(
						'label' => esc_html__( 'Default Gallery Layout', 'atura' ),
						'desc'   => esc_html__( 'Default galley page layout.', 'atura' ),
						'type'    => 'select',
						'choices' => array(
							'col-2' => esc_html__( 'Two Columns', 'atura' ),
							'col-3' => esc_html__( 'Three Columns', 'atura' ),
							'col-4' => esc_html__( 'Four Columns', 'atura' ),
						),
						'value' => 'col-2',
					),						
				)
			)	
		)
	),

);
