<?php if ( ! defined( 'ABSPATH' ) ) die( 'Forbidden' );
/**
 * Effects Shortcode
 */

if ( $args['type'] == 'slide-background' AND !empty($args['images']) ) {

	$key = 'lte-sb-'.mt_rand();

	echo '<div class="lte-slide-background" data-key="'.esc_attr($key).'" data-images="'.esc_attr(sizeof($args['images'])).'">';

			echo "
			<div class='ltx-svg'>
				<svg viewBox='0 0 100 100'>
				    <defs>";

					$x = 0;
					foreach ( $args['images'] as $k => $item ) {
				    
				    	$x++;

						echo "   
				        <mask id='".$key.'-'.esc_attr($x)."' x='0' y='0' width='100' height='100'>
				            <rect class='part' x='100' y='0'  width='100' height='20.2' fill='#fff' />
				            <rect class='part' x='100' y='20' width='100' height='20.2' fill='#fff' />
				            <rect class='part' x='100' y='40' width='100' height='20.2' fill='#fff' />
				            <rect class='part' x='100' y='60' width='100' height='20.2' fill='#fff' />
				            <rect class='part' x='100' y='80' width='100' height='20.2' fill='#fff' />
				            <rect class='full' x='0' y='0' width='100' height='100' fill='#fff' opacity='0' />
				        </mask>";  
					}
				echo "</defs>";

				$x = 0;
				foreach ( $args['images'] as $k => $item ) {

					$mask = '';
					if ( $x > 0) {

						$mask = " mask='url(#".$key.'-'.esc_attr($x).")'";
					}
					echo "<image width='100' height='100' xlink:href='".esc_url($item['image']['url'])."' ".$mask." />";
					$x++;

					$image = $item['image']['url'];

				}

				echo "<image width='100' height='100' xlink:href='".esc_url($args['images'][0]['image']['url'])."' mask='url(#".$key.'-'.esc_attr($x).")' />";

				echo "</svg>
			</div>";

	echo '</div>';
}
	else
if ( $args['type'] == 'smoke' ) {

	echo '<div class="lte-effect-smoke">';

		for ( $x = 1; $x <= 6; $x++ ) {

			echo '<img src="'.esc_url($args['image']['url']).'" class="lte-effect-item-'.esc_attr($x).'" alt=".">';
		}

	echo '</div>';
}
	else
if ( $args['type'] == 'square' ) {

	echo '<div class="lte-effect-square lte-animation-'.esc_attr($args['square-animation']).'"><span><span></span></span></div>';
}	
	else
if ( $args['type'] == 'square-large' ) {

	echo '<div class="lte-effect-square-large lte-animation-'.esc_attr($args['square-animation']).'"><span><span></span></span></div>';
}	
